## snapcraft 2.34+17.10

=== requirements.txt ===
click>=6.2
configparser==3.5.0
docopt==0.6.2
file-magic==0.3.0
jsonschema==2.5.1
libarchive-c==2.5
progressbar33==2.4
PyYAML==3.11
pyxdg==0.25
requests==2.9.1
requests_unixsocket==0.1.5
https://launchpad.net/ubuntu/+archive/primary/+files/python-apt_1.1.0~beta1build1.tar.xz; sys_platform == 'linux'
https://launchpad.net/python-distutils-extra/trunk/2.39/+download/python-distutils-extra-2.39.tar.gz
requests-toolbelt==0.6.0
responses==0.5.1
petname==1.12
pymacaroons==0.9.2; sys_platform != 'win32'
pymacaroons==0.10.0; sys_platform == 'win32'
pymacaroons-pynacl==0.9.3
pysha3==1.0b1; python_version < '3.6'
simplejson==3.8.2
tabulate==0.7.5
python-debian==0.1.28
chardet==2.3.0
cx_Freeze>=5.0.2; sys_platform == 'win32'

=== debian/changelog ===
snapcraft (2.34+17.10) artful; urgency=medium

  [ Sergio Schvezov ]
  * core: cache FileBase entries when a checksum is provided (#1433)
  * cli: better error message for missing mksquashfs (#1481)
  * core: improve source caching logic (#1486)
  * ci: speedup the CLA check (#1503)
  * ci: disable the travis deploy stage for docs (#1510)
  * vcs: ignore .vscode project settings (#1517)
  * docs: add github processed templates (#1514)
  * tour: remove the tour assets (#1520)
  * project: introduce build-snaps (#1518)
  * tests: update the meson test to latest meson requirements (#1532)
  * jhbuild plugin: remove dependency on pkgconf (#1535)
  * nodejs plugin: add prefix --prefix to global pkg add (#1539)
  * New upstream release (LP: #1715399)

  [ Christian Dywan ]
  * lxd: clean with no parts should only delete (#1434)
  * lxd: inject snapcraft and core snaps into the container (#1364)
  * lxd: wait on lock files before running apt commands (#1435)
  * kbuild plugin: support Makefiles without an install target (#1432)
  * kbuild plugin: move over the cross-compiling logic from the kernel plugin (#1417)
  * lxd: path cannot have extra forward slashes (#1483)
  * lxd: always remove existing device for project folder (#1488)
  * lifecycle: outdated step should raise SnapcraftError (#1513)
  * errors: introduce ContainerError (#1505)
  * lxd: LXD not installed when using remote (#1516)
  * lxd: use a unique temporary folder (#1519)

  [ Leo Arias ]
  * recording: record the original snapcraft.yaml (#1407)
  * ci: skip the CLA check for pull requests from the bot (#1482)
  * docs: fix typo in plugin help (#1496)
  * python plugin: record manifest (#1487)
  * tests: use assertThat instead of assertEqual (#1501)
  * python plugin: always record constraints and requirements contents (#1521)
  * demos: update the name of the remote mqtt part (#1533)

  [ Kyle Fazzari ]
  * options: properly handle missing compiler prefix (#1425)
  * catkin plugin: include-roscore is a boolean (#1472)
  * catkin plugin: default to release build (#1470)
  * catkin plugin: rosinstall-files is a pull property (#1473)
  * catkin plugin: support passing args to cmake (#1471)
  * catkin plugin: extract rosdep into new package (#1392)
  * cli: add global exception handler
  * cli: stop handling exceptions in lifecycle
  * plugins: use exceptions based on SnapcraftError
  * cli: stop handling exceptions in parts
  * cli: stop handling exceptions in assertions
  * cli: stop handling exceptions in store
  * many: use exceptions based on SnapcraftError
  * rosdep: add support for multiple dependency types (#1479)
  * errors: use function for exit code (#1491)
  * cli: don't raise from excepthook (#1495)
  * repo: make errors based on SnapcraftError (#1499)
  * project loader: refactor into package (#1504)
  * grammar: move into project_loader (#1500)
  * many: simplify plugin loading (#1507)
  * schema: version should have a max length of 32 (#1508)
  * project_loader: process stage package grammar (#1509)
  * project_loader: support grammar on build-packages (#1511)

  [ Alex T Newman ]
  * windows: add cx_Freeze options targeting bin/snapcraft (#1478)

  [ Michael Vogt ]
  * meta: add `base` as a type and top level property (#1419)

  [ Adam Collard ]
  * ant plugin, gradle plugin: add support for authenticated proxies (#1490)

  [ fmanea ]
  * demos: remove the unnecessary wrapper from the java demo (#1494)

  [ Neal Gompa (ニール・ゴンパ) ]
  * repo: use os-release(5) to detect supported Linux distributions (#1527)

  [ Daniel Llewellyn ]
  * jhbuild plugin: new plugin (#1298)
  * jhbuild plugin: fix UnboundLocalError for chmod_path (#1534)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Wed, 06 Sep 2017 14:04:53 +0000

snapcraft (2.33) xenial; urgency=medium

  [ Sergio Schvezov ]
  * tests: reduce the amount of test code in test_meta (#1391)
  * meta: bash completion support (#1390)
  * tests: fix issues with python 3.6 (#1398)
  * cleanbuild: ensure we enter a shell on failures on --debug (#1404)
  * tests: do not break a systems `bzr whoami` (#1357)
  * snap: remove completer entry (#1409)
  * core: minimal cross OS support. (#1413)
  * core: a clean command should clean. (#1416)
  * nodejs plugin: copy the content of out of tree symlinks (#1418)
  * tests: adapt opencv's test expectations (#1426)
  * New upstream release (LP: #1707060)

  [ Zygmunt Krynicki ]
  * pluginhandler: don't clobber path on local import failure (#1361)

  [ Paolo Pisati ]
  * core: use the correct kernel arch for s390 (#1376)

  [ Tim Süberkrüb ]
  * core: support yaml merge tags (#1384)

  [ roxd ]
  * schema: blank version should not be allowed in snapcraft.yaml (#1379)

  [ Paolo Pisati ]
  * kernel plugin: add a default target per powerpc, ppc64el and s390x (#1377)

  [ Rex Tsai ]
  * tests: mock download for rustup in the x-compile test. (#1396)

  [ Evan Dandrea ]
  * file_utils: handle I/O errors in os.link (#1369)
  * python plugin: correct capitalisation for PyPI. (#1401)
  * python plugin: better explain dependency link processing (#1402)

  [ Leo Arias ]
  * python plugin: output json in pip list (#1393)
  * tests: allow to filter tests in docker (#1375)
  * tests: document the test suites in the snapcraft repo (#1394)
  * recording: rename the file to manifest.yaml (#1406)
  * pluginhandler: check for collisions only in existing files (#1405)
  * tests: run the tests in travis using LXD containers (#1415)
  * tests: build the snapcraft snap in travis tests (#1411)
  * ci: remove the old script to run with lxc (#1422)

  [ Christian Dywan ]
  * cli: proper parsing of hidden options (#1378)
  * core: clean the container on a full clean (#1372)
  * lxd: do not assume user ID of 1000 for raw.idmap (#1385)
  * autotools plugin: Enable cross-compilation support (#1383)
  * lxd: distingish FileNotFoundError for when not installed (#1400)
  * waf plugin: enable cross-compilation support  (#1397)


=== debian/tests/control ===
Tests: integrationtests
Restrictions: needs-root, allow-stderr, isolation-container, rw-build-tree
Depends: @,
         bzr,
         git,
         curl,
         mercurial,
         subversion,
         lxd,
         snapd (>= 2.15~),
         python3-pep8,
         pyflakes,
         python-flake8,
         python3-fixtures,
         python3-pexpect,
         python3-pyftpdlib,
         python3-pyramid,
         python3-testscenarios

Tests: snapstests
Restrictions: needs-root, allow-stderr, isolation-container, rw-build-tree
Depends: @,
         git,
         curl,
         python3-fixtures,
         python3-pexpect,
         python3-requests-unixsocket,
         python3-testscenarios,
         snapd (>= 2.15~)

## snapcraft 2.35+17.04

=== debian/changelog ===
snapcraft (2.35+17.04) zesty; urgency=medium

  [ Sergio Schvezov ]
  * pluginhandler: error out on scriptlet errors
  * meta: ensure main keys are ordered in snap.yaml
  * demos: remove the py?-project demos
  * store: switch to new endpoints
  * static: fix flake8 errors in setup.py
  * docker: add the environment variable to setup core (#1576)
  * cli: add the pack command (#1565)
  * store: handle revoked developers (#1554)
  * lifecycle: split into its own package (#1626)
  * libraries: exclude the full set of libc6 (#1632)
  * lxd: better surfacing of errors (#1647)
  * tests: fork skip into snaps_tests (#1652)
  * sources: use arfile to extract debs (#1729)
  * tests: dotnet only works on 16.04 (#1732)
  * unit tests: make the check for output less strict (#1738)
  * New upstream release (LP: #1729417)

  [ Kyle Fazzari ]
  * project_loader: aliases are deprecated
  * catkin plugin: don't assume catkin is in underlay
  * catkin plugin: only append PYTHONPATH if set
  * plugins: extract python finder functions
  * plugins: extract sitecustomize logic from python
  * dirs: set plugin, schema, and library dir for snap
  * plugins: extract pip from python plugin
  * catkin plugin: support rosdep pip dependencies (#1581)
  * plugins: add ros2 boostrapper (#1582)
  * travis: run snapd tests only if not cron (#1592)
  * snapcraft.yaml: don't re-use build dir (#1601)
  * schema: improve invalid app, hook, and part errors (#1615)
  * plugins: build-attributes is already in the state (#1620)
  * tests: skip catkin test on non-xenial (#1621)
  * tests: don't hit internet in ros2 units (#1619)
  * states: add scriptlets to build state (#1618)
  * schema: sync patterns with snapd (#1622)
  * snap: remove leaking LD_LIBRARY_PATH (#1635)
  * store: guide to account creation upon login (#1616)
  * repo: add elementary to deb distros (#1637)
  * internal: more gracefully determine host OS (#1636)
  * integration tests: skip shared ROS test on non-xenial (#1656)
  * internal: don't reuse variable in OsRelease (#1653)
  * integration tests: remove ruby version (#1727)
  * unit tests: reset log level after test (#1735)
  * autotools: cross-compile using --host instead of env (#1654)
  * catkin plugin: check for pip packages in part only (#1717)
  * ruby plugin: be smarter about arch-specific paths (#1730)
  * demo tests: bump catkin timeout by a lot (#1731)
  * many: account for python shebang args in rewrite

  [ Leo Arias ]
  * typo: replace occured with occurred
  * node plugin: record installed node packages in manifest
  * node plugin: record the yarn.lock file
  * tests: fix the TEST_STORE environment variable
  * tests: add integration tests for build snaps
  * recording: record the machine information collected by uname
  * tests: add unit tests for the ruby plugin
  * recording: record the packages installed in the  machine
  * tests: simplify a little the data in nodejs unit tests
  * ci: use travis conditionals
  * recording: record build-snaps installed during the pull
  * tests: replace the first batch of demo tests with snapd integration tests
  * rust plugin: record the Cargo.lock file
  * rust plugin: record the versions of rustup, rustc and cargo
  * tests: move ruby demo test to snapd integration suite (#1596)
  * recording: record the snaps installed on the machine (#1567)
  * style: use dedent for multiline strings (#1584)
  * tests: refactor the fake snapd to not hardcode values (#1569)
  * code style: remove the extra quotes in the dedent example (#1594)
  * recording: do not crash when snapd is not installed (#1598)
  * tests: fix the skip of snapd integration tests in armhf (#1595)
  * tests: fix the duplicate plainbox test scenarios (#1608)
  * tests: reenable the cleanbuild integration test (#1610)
  * tests: remove the duplicate nodejs integration tests (#1609)
  * tests: add /snap/bin to PATH in autopkgtests (#1603)
  * tests: add the slow tag for ros snapd integration test (#1602)
  * lxd: fix the unit test for the user id map (#1629)
  * tests: allow to select a suite when running autopkgtests (#1630)
  * tests: use the snapcraft snap for the integration tests (#1625)
  * tests: move the plainbox test to the integration suite (#1642)
  * lxd: fix the push in container builds (#1644)
  * tests: use the common base handler on the fake snapd server (#1724)
  * tests: split the integration autopkgtests (#1716)
  * tests: in autopkgtests, use a tempdir in home, not in the tmpfs (#1657)
  * recording: record information from the image in container builds  (#1633)
  * recording: pass the build info flag to the container (#1736)
  * tests: add the home plug to the plainbox snap (#1740)

  [ Christian Dywan ]
  * lxd: mount project folder via sshfs in case of a remote (#1302)
  * lxd: Only pass target arch if specified explicitly
  * repo: friendly, helpful error for unsupported distros (#1586)
  * lxd: instructions for /etc/sub{u,g}id after failed start (#1553)
  * lxd: pass SNAPCRAFT_PARTS_URI through into container (#1585)
  * lxd: use SUDO_UID for ID mapping (#1588)
  * lxd: don't inject local snaps on a different arch (#1577)
  * lxd: don't re-inject the same snaps (#1568)
  * lxd: split container classes into different files (#1627)
  * cli: update parts cache in the container (#1546)
  * lifecycle: clean after deleting container (#1587)
  * lxd: snapcraft refresh in containers (#1412)
  * lxd: distinguish argless clean from clean -s pull (#1655)
  * lxd: refresh remote container (#1739)
  * cli: pass remote from container_config to clean method (#1737)

  [ Mark Lee ]
  * project_loader: quote more environment variable values (#1578)

  [ James Beedy ]
  * ruby plugin: new plugin

  [ Aleix Pol ]
  * repo: return a proper value in DummyRepo
  * common: do not fail over on empty or faulty lines in os-release

  [ Jeff Dickey ]
  * ci: install git in Dockerfile for '{version: git}' usage (#1575)

  [ Michael Vogt ]
  * meta: add and adapter property for apps



=== debian/control ===
Source: snapcraft
Section: utils
Priority: extra
Maintainer: Snapcraft Team <snapcraft@lists.snapcraft.io>
Build-Depends: bash-completion,
               bzr,
               debhelper (>= 9),
               dh-python,
               git,
               mercurial,
               pkg-config,
               python3 (>= 3.4),
               python3-apt,
               python3-click,
               python3-debian,
               python3-docopt,
               python3-fixtures,
               python3-jsonschema,
               python3-libarchive-c,
               python3-lxml,
               python3-magic,
               python3-petname,
               python3-pkg-resources,
               python3-progressbar,
               python3-pymacaroons,
               python3-pyramid,
               python3-pysha3,
               python3-requests,
               python3-requests-toolbelt,
               python3-requests-unixsocket,
               python3-responses,
               python3-simplejson,
               python3-setuptools,
               python3-tabulate,
               python3-testscenarios,
               python3-testtools,
               python3-xdg,
               python3-yaml,
               subversion,
               squashfs-tools,
               xdelta3,
Homepage: https://github.com/snapcore/snapcraft
Vcs-Git: https://github.com/snapcore/snapcraft.git
Vcs-Browser: https://github.com/snapcore/snapcraft
Standards-Version: 3.9.8

Package: snapcraft
Architecture: all
Depends: python3-apt,
         python3-debian,
         python3-click,
         python3-jsonschema,
         python3-libarchive-c,
         python3-lxml,
         python3-magic,
         python3-petname,
         python3-pkg-resources,
         python3-progressbar,
         python3-pymacaroons,
         python3-pysha3,
         python3-requests,
         python3-requests-toolbelt,
         python3-requests-unixsocket,
         python3-simplejson,
         python3-tabulate,
         python3-xdg,
         python3-yaml,
         squashfs-tools,
         sudo,
         xdelta3,
         ${misc:Depends},
         ${python3:Depends}
Suggests: lxd, snapd (>= 2.15~)
Description: easily craft snaps
 Snapcraft aims to make upstream developers' lives easier and as such is not
 a single toolset, but instead is a collection of tools that enable the
 natural workflow of an upstream to be extended with a simple release step
 into Snappy.

Package: snapcraft-parser
Architecture: all
Depends: snapcraft (= ${binary:Version}),
         python3-docopt,
         ${misc:Depends},
         ${python3:Depends},
Description: cloud parser for shared snapcraft parts.
 The parser is in charge of getting all the shared parts out there
 indexed into a common cacheable file. It processes multiple origin's
 specified in yaml documents and outputs `parts` which snapcraft can
 utilize.

Package: snapcraft-examples
Architecture: all
Depends: snapcraft (= ${binary:Version}), ${misc:Depends}, ${python3:Depends}
Description: examples and demos for snapcraft
 Snapcraft aims to make upstream developers' lives easier and as such is not
 a single toolset, but instead is a collection of tools that enable the
 natural workflow of an upstream to be extended with a simple release step
 into Snappy.
 .
 This package contains examples and demos for snapcraft.

=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,4 @@
-Tests: integrationtests
+Tests: integrationtests-general, integrationtests-store, integrationtests-plugins, integrationtests-snapd
 Restrictions: needs-root, allow-stderr, isolation-container, rw-build-tree
 Depends: @,
          bzr,

## snapcraft 2.41%2B18.04.2

=== demos/downloader-with-wiki-parts/Makefile ===
# -*- Mode:Makefile; indent-tabs-mode:t; tab-width:4 -*-

all:
	gcc -Wall -Wextra -Werror -pedantic -o test ./test.c $(CFLAGS) $(LDFLAGS) -lcurl -lssl -lcrypto -lssl -lcrypto -lz

install:
	install -d -m755  $(DESTDIR)/bin/
	install -m755 ./test $(DESTDIR)/bin/test

clean:
	rm -f test

=== tests/integration/snaps/cmake-with-env-var/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)
project(cmake-with-env-var C)
add_definitions(-DPART_INSTALL=${PART_INSTALL})
add_executable(cmake-with-env-var test.c)
install(TARGETS cmake-with-env-var RUNTIME DESTINATION bin)

=== tests/integration/snaps/waf-with-configflags/wscript ===
#! /usr/bin/env python
# encoding: utf-8
# Thomas Nagy, 2006-2012 (ita)

# the following two variables are used by the target "waf dist"
VERSION='0.0.1'
APPNAME='cc_test'

# if you want to cross-compile, use a different command line:
# CC=mingw-gcc AR=mingw-ar waf configure build

top = '.'

from waflib import Configure, Logs, Utils
#Configure.autoconfig = True # True/False/'clobber'

def options(opt):
	opt.load('compiler_c gnu_dirs')

def configure(conf):
	conf.load('compiler_c gnu_dirs')
	conf.check_cc(fragment="int main() { return 0; }\n")

	try:
		conf.check_cc(fragment="int main() { return 0; }\n", execute=True) # 1
	except conf.errors.WafError:
		Logs.warn('You are probably using a cross-compiler (disabling specific configuration tests)')
		conf.check_library(test_exec=False)
	else:
		conf.check_cc(fragment="""#include<stdio.h>\nint main(){fprintf(stderr, "mu"); printf("%d", 22);return 0;}\n""", execute=True, define_name='HAVE_MU')
		conf.check_library(test_exec=True)

	conf.check_cc(lib='m', cflags='-Wall', defines=['var=foo', 'x=y'], uselib_store='M', mandatory=False)
	conf.check_large_file(mandatory=False)
	conf.check_inline()
	conf.check_endianness()

	conf.multicheck(
		{'header_name':'stdio.h'},
		{'header_name':'unistd.h'},
		{'header_name':'stdlib.h'},
		msg       = 'Checking for standard headers',
		mandatory = False
	)
	conf.check_cc(header_name='stdio.h', auto_add_header_name=True)
	#conf.check_cc(header_name='unistd.h')
	conf.check_cc(fragment='int main() {return 0;}\n')
	conf.write_config_header('config.h')

	# exclude system libraries, force a particular folder (see strictlib below)
	#conf.check(features='c cprogram strictlib', lib = 'gif', libpath = ['/opt/lib'])

def build(bld):
	bld.env.DEFINES=['WAF=1']

	bld.recurse('program stlib shlib')
	#bld.install_files('/tmp/foo', 'wscript')
	#bld.env.PREFIX='/tmp/foo'
	bld.install_files('${PREFIX}/', 'program/a.h  program/main.c', relative_trick=False)
	bld.install_as('${PREFIX}/gnigni.txt', 'wscript')
	bld.symlink_as('${PREFIX}/libfoo.so', 'wscript')

	p = Utils.subst_vars('${PREFIX}/gnigni.txt', bld.env)
	bld.symlink_as('${PREFIX}/share/gnigni-abs.txt', p, relative_trick=False)
	bld.symlink_as('${PREFIX}/share/gnigni-rel.txt', p, relative_trick=True)

	bld.env.FOO =['m', 'ncurses']
	bld.env.ST = '-L%s'
	bld.env.A = 'aye'
	bld.env.B = 'doh'
	bld.env.SRCA = ['aaa']
	bld(rule='echo ${ST:FOO} ${ST:SRC} ${A}${B} ${ST:SRCA} ${ST:SRC[0].abspath()}',
		always=True, source='wscript', shell=1, name='Shell')
	if not Utils.is_win32:
		bld(rule='echo ${ST:FOO} ${ST:SRC} ${A}${B} ${ST:SRCA} ${ST:SRC[0].abspath()}',
		always=True, source='wscript', shell=0, cls_keyword=lambda x:'Trying again', name='NoShell')

	# illustrate how to add a command 'foo' and to execute things in it
	if bld.cmd == 'foo':
		def bar(bld):
			print('myprogram exit status is',
				bld.exec_command(bld.get_tgen_by_name('myprogram').link_task.outputs[0].abspath()))
		bld.add_post_fun(bar)
		#bld(rule='echo ${SRC} ${tsk.generator.newsize}', newsize='256x256', source='wscript')

# command examples

from waflib.Build import BuildContext
class foo_class(BuildContext):
	cmd = 'foo'

from waflib.Context import Context
class package_class(Context):
	"""just a test, try calling 'waf package' """
	cmd = 'package'
	fun = 'package'

def package(ctx):
	print('just a test', ctx.path.ant_glob('wscript'))

# and a task generator method example

from waflib import TaskGen
@TaskGen.feature('strictlib')
def check_lib_in_libpath(self):
	#For use in a configuration check: raise an exception
	#if the library file does not exist in the folders pointed by 'libpath'
	pths = self.to_list(getattr(self, 'libpath', []))
	if pths:
		for l in self.to_list(Utils.to_list(getattr(self, 'lib', []))):
			for x in pths:
				names = Utils.listdir(x)
				lname = self.env.cshlib_PATTERN % l
				if lname in names:
					break
			else:
				self.bld.fatal('wrong path for the library %s' % l)

=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,14 @@
-Tests: integrationtests-general, integrationtests-store, integrationtests-plugins, integrationtests-snapd
+Tests: integrationtests-general,
+       integrationtests-lifecycle,
+       integrationtests-sources,
+       integrationtests-store,
+       integrationtests-plugins,
+       integrationtests-plugins-python,
+       integrationtests-plugins-nodejs,
+       integrationtests-plugins-java,
+       integrationtests-plugins-catkin,
+       integrationtests-snapd,
+       integrationtests-snapd-slow
 Restrictions: needs-root, allow-stderr, isolation-container, rw-build-tree
 Depends: @,
          bzr,
@@ -8,6 +18,7 @@
          subversion,
          lxd,
          snapd (>= 2.15~),
+         squashfuse,
          python3-pep8,
          pyflakes,
          python-flake8,
@@ -26,4 +37,5 @@
          python3-pexpect,
          python3-requests-unixsocket,
          python3-testscenarios,
-         snapd (>= 2.15~)
+         snapd (>= 2.15~),
+         squashfuse,

## snapcraft 2.41+18.04.2

=== requirements.txt ===
--- 
+++ 
@@ -1,9 +1,7 @@
 click>=6.2
 configparser==3.5.0
 docopt==0.6.2
-file-magic==0.3.0
 jsonschema==2.5.1
-libarchive-c==2.5
 progressbar33==2.4
 PyYAML==3.11
 pyxdg==0.25
@@ -14,10 +12,12 @@
 requests-toolbelt==0.6.0
 responses==0.5.1
 petname==1.12
+pyelftools==0.24
 pymacaroons==0.9.2; sys_platform != 'win32'
 pymacaroons==0.10.0; sys_platform == 'win32'
 pymacaroons-pynacl==0.9.3
 pysha3==1.0b1; python_version < '3.6'
+raven==6.5.0
 simplejson==3.8.2
 tabulate==0.7.5
 python-debian==0.1.28

=== demos/opencv/src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(example)

find_package(OpenCV REQUIRED)

add_executable(example main.cpp)

target_link_libraries(example ${OpenCV_LIBS})

install(TARGETS example RUNTIME DESTINATION bin)

=== tests/integration/snaps/cmake-hello/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)
project(cmake-hello C)
add_executable(cmake-hello test.c)
install(TARGETS cmake-hello RUNTIME DESTINATION bin)

=== tests/integration/snaps/conflicts/Makefile ===
# -*- Mode: Makefile; indent-tabs-mode:t; tab-width: 4 -*-

all:
	gcc -o test test.c

install:
	mkdir -p $(DESTDIR)/bin
	cp -a test $(DESTDIR)/bin/

=== tests/integration/snaps/local-source/Makefile ===
# -*- Mode: Makefile; indent-tabs-mode:t; tab-width: 4 -*-

all:
	touch stamp-all

install:
	touch stamp-install

=== tests/integration/snaps/prime-from-stage/Makefile ===

all:
	echo "a" >a
	echo "b" >b
	echo "c" >c

install:
	cp a ${DESTDIR}/with-a
	cp b ${DESTDIR}/with-b
	cp c ${DESTDIR}/with-c
	cp a ${DESTDIR}/without-a
	cp b ${DESTDIR}/without-b
	cp c ${DESTDIR}/without-c

=== tests/integration/snaps/snapcraft-environment/Makefile ===
# -*- Mode: Makefile; indent-tabs-mode:t; tab-width: 4 -*-

all:
	echo -n "$(SNAPCRAFT_PROJECT_NAME)" > test_name
	echo -n "$(SNAPCRAFT_PROJECT_VERSION)" > test_version
	echo -n "$(SNAPCRAFT_STAGE)" > test_stage
	echo -n "$(SNAPCRAFT_PART_INSTALL)" > test_part_install

install:
	mkdir -p $(DESTDIR)
	install -m 644 test_name $(DESTDIR)
	install -m 644 test_version $(DESTDIR)
	install -m 644 test_stage $(DESTDIR)
	install -m 644 test_part_install $(DESTDIR)

=== tests/integration/snaps/dependencies/p1/Makefile ===
# -*- Mode: Makefile; indent-tabs-mode:t; tab-width: 4 -*-

all:
	gcc -shared -fPIC -o libp1.so $(CFLAGS) $(LDFLAGS) p1.c

install:
	mkdir -p $(DESTDIR)/lib $(DESTDIR)/include
	cp -a libp1.so $(DESTDIR)/lib
	cp -a p1.h $(DESTDIR)/include

=== tests/integration/snaps/dependencies/p2/Makefile ===
# -*- Mode: Makefile; indent-tabs-mode:t; tab-width: 4 -*-

all:
	gcc -shared -fPIC -o libp2.so $(CFLAGS) $(LDFLAGS) p2.c -lp1

install:
	mkdir -p $(DESTDIR)/lib $(DESTDIR)/include
	cp -a libp2.so $(DESTDIR)/lib
	cp -a p2.h $(DESTDIR)/include

=== tests/integration/snaps/dependencies/p4/Makefile ===
# -*- Mode: Makefile; indent-tabs-mode:t; tab-width: 4 -*-

all:
	gcc -o p4 $(CFLAGS) $(LDFLAGS) p4.c -lp1 -lp2

install:
	mkdir -p $(DESTDIR)/bin
	cp -a p4 $(DESTDIR)/bin

=== tests/integration/snaps/rpath-test/src/Makefile ===
all: main

libfoo.so: foo.h foo.cpp
	@g++ -fPIC -c foo.cpp
	@g++ -shared foo.o -o libfoo.so
	@mkdir -p lib
	@mv libfoo.so lib/

main: libfoo.so
	@g++ main.cpp -o binary -Wl,-rpath=\$$ORIGIN/lib -Llib -lfoo

install: main
	@mkdir -p $(DESTDIR)/lib
	@cp binary $(DESTDIR)/
	@cp lib/* $(DESTDIR)/lib/

clean:
	@rm *.o binary
	@rm -rf lib

=== tests/integration/snaps/fake-curl-library/src/fake-curl/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)
project(fake_curl C)

add_library(curl SHARED fake_curl.c)

install(TARGETS curl DESTINATION lib)

=== debian/changelog ===
snapcraft (2.41+18.04.2) bionic; urgency=medium

  * debian/control
    - Depend on python3-distutils, required on bionic

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 18 Apr 2018 10:37:19 -0400

snapcraft (2.41+18.04.1) bionic; urgency=medium

  [ Sergio Schvezov ]
  * package: ensure all relevant files are in for sdist (#2060)
  * errors: enable sending tracebacks to sentry (#1961)
  * errors: improve the UX for sending error data (#2024)
  * errors: remove stack data when sending to sentry (#2036)
  * errors: feature flag error reports (#2066)
  * packaging: simplify snapcraft.yaml (#2062)
  * many: update the yaml loading logic (#2065)
  * extractors: support for setup.py (#2070)
  * lifecycle: handle missing version correctly (#2072)
  * python plugin: do not invoke wheel install if empty (#2077)
  * patches: improve ctypes patch for python 3.5
  * ci: enable subset of integration tests on bionic
  * errors: skip the sentry test if raven is no installed (#2075)
  * New upstream release (LP: #1763934)

  [ Kyle Fazzari ]
  * many: add snapcraftctl command for scriptlets (#2002)
  * kernel plugin: add kmod as build-package (#2041)
  * cli: support exporting login to stdout (#2043)
  * many: add override-pull scriptlet (#2045)
  * pluginhandler: organize in build instead of stage (#2047)
  * tests: extract sources suite from general suite (#2054)
  * many: add override-stage scriptlet (#2049)
  * tests: extract lifecycle suite from general suite (#2057)
  * many: add override-prime scriptlet (#2052)
  * elf: use snapped strip (#2051)
  * storeapi: properly handle lacking permission for channel (#2050)
  * many: add snapcraftctl set-version (#2063)
  * storeapi: handle 500 error response when releasing snap (#2059)
  * states: track override scriptlets (#2068)
  * many: add snapcraftctl set-grade (#2067)
  * meta: validate extracted and scriptlet metadata (#2073)

  [ Christian Dywan ]
  * options: introduce Project and ProjectInfo (#1995)
  * lxd: friendly error with suggestions if network is broken (#1930)
  * lxd: merge existing image info contents when using containerbuilds (#1997)
  * lxd: specify arch in lxc image list command (#2046)
  * meta: implement passthrough of properties to snap.yaml (#2053)

  [ Guilhem Lettron ]
  * nodejs plugin: add option for setting npm flags (#2038)

  [ Bjorn Tillenius ]
  * python plugin: install python-distutils when run on bionic (#2058)

  [ Rakesh Singh ]
  * dotnet plugin: add support enable configurable runtime version for
    .NET Core applications (#1911)

  [ Colin Watson ]
  * storeapi: fix formatting of some store errors (#2056)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Sat, 14 Apr 2018 12:13:35 +0000

snapcraft (2.40.1) xenial; urgency=medium

  [ Evan Dandrea ]
  * readme: polish the landing page (#2022)

  [ Christian Dywan ]
  * repo: catch error due to broken build packages (#2023)

  [ Sergio Schvezov ]
  * pluginhandler: organize correcly for targets with leading / (#2034)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Tue, 27 Mar 2018 21:09:24 +0000

snapcraft (2.40) xenial; urgency=medium

  [ Sergio Schvezov ]
  * elf: better debug messages (#1950)
  * elf: clear execstack by default (#1945)
  * repo: silence deb caching when fetching packages (#1949)
  * meta: make sure adapter does not propagate (#1955)
  * store: stringify message for StoreDeltaApplicationError (#1962)
  * python plugin: find setup.py when source-subdir is used (#1975)
  * ci: switch to stable lxd and unconfined containers (#1978)
  * project_loader: improve the logic to install patchelf as a build tool (#1967)
  * demos: avoid use of the wrapper for java-hello-world (#1968)
  * lifecycle: when priming dependencies need to be primed (#1977)
  * pluginhandler: simplify logic when elf patching is required (#1979)
  * pluginhandler: add option to disable patchelf for a part (#1987)
  * schema: add keep-execstack (#1986)
  * elf: remove dead code (#2000)
  * core: initial support for bases (#1993)
  * docker: export SNAP_ARCH into the environment (#1994)
  * tests: add SNAPCRAFT_KEEP_DATA_PATH for integration (#1996)
  * errros: add a specific error when running commands from plugins (#2004)
  * pluginhandler: special case go patchelf failures for classic confinement (#2005)
  * many: use packaging logic to get patchelf (#2006)
  * project_loader: fix the host to base compatibility check (#2009)
  * pluginhandler: only do elf checking and patching for type app (#2012)
  * demos: use realpath in command entry for java-hello-world (#2016)
  * many: optimize retrieval of the linker version (#2017)
  * tests: minor fixes to autopkgtests (#2018)
  * elf: avoid duplicating rpath entries (#2019)
  * pluginhandler: only resort to elf mangling if the snap type is app (#2021)
  * New upstream release (LP: #1756939)

  [ Leo Arias ]
  * tests: split the plugins tests in the same directory (#1944)
  * tests: move test files out of the snapcraft dir (#1948)
  * extractors: replace desktop file ids with paths (#1879)
  * extractors: add support for common-id  (#1960)
  * tests: remove ProjectOptions dependency from the integration suite (#1965)
  * tests: remove dependency of internal repo from integration suite (#1971)
  * tests: remove the internal os_release dependency (#1981)
  * tests: remove _options dependency from integration suite (#1972)
  * tests: update store tests user (#1984)
  * tests: document arm testing setup (#1985)

  [ Kyle Fazzari ]
  * catkin plugin: extract Wstool into its own module (#1927)
  * elf: remove all un-primed libs from soname cache (#1980)
  * catkin plugin: support recursive rosinstall files (#1934)
  * elf: only set rpaths to libs of the same arch (#1988)
  * elf: don't parse elf more than necessary (#1989)
  * catkin plugin: replace python calls in all profile.d scripts (#2007)
  * docs: add execstack to HACKING.md's list of deb deps (#2015)
  * integration tests: snap tests shouldn't be arch-specific (#2014)



=== debian/control ===
--- 
+++ 
@@ -4,10 +4,14 @@
 Maintainer: Snapcraft Team <snapcraft@lists.snapcraft.io>
 Build-Depends: bash-completion,
                bzr,
+               cpio,
                debhelper (>= 9),
                dh-python,
+               execstack,
                git,
                mercurial,
+               p7zip-full,
+               patchelf (>= 0.9),
                pkg-config,
                python3 (>= 3.4),
                python3-apt,
@@ -16,12 +20,11 @@
                python3-docopt,
                python3-fixtures,
                python3-jsonschema,
-               python3-libarchive-c,
                python3-lxml,
-               python3-magic,
                python3-petname,
                python3-pkg-resources,
                python3-progressbar,
+               python3-pyelftools,
                python3-pymacaroons,
                python3-pyramid,
                python3-pysha3,
@@ -36,6 +39,7 @@
                python3-testtools,
                python3-xdg,
                python3-yaml,
+               rpm2cpio,
                subversion,
                squashfs-tools,
                xdelta3,
@@ -46,16 +50,19 @@
 
 Package: snapcraft
 Architecture: all
-Depends: python3-apt,
+Depends: binutils,
+         execstack,
+         patchelf (>= 0.9),
+         python3-apt,
          python3-debian,
          python3-click,
+         python3-distutils,
          python3-jsonschema,
-         python3-libarchive-c,
          python3-lxml,
-         python3-magic,
          python3-petname,
          python3-pkg-resources,
          python3-progressbar,
+         python3-pyelftools,
          python3-pymacaroons,
          python3-pysha3,
          python3-requests,

=== debian/rules ===
#!/usr/bin/make -f
# -*- Mode:Makefile; indent-tabs-mode:t; tab-width:4 -*-

%:
	dh $@ --with python3 --buildsystem=pybuild --with bash-completion

override_dh_compress:
	dh_compress -Xusr/share/doc/snapcraft-examples/demos

## snapcraft 2.42

=== debian/changelog ===
snapcraft (2.42) xenial; urgency=medium

  [ Sergio Schvezov ]
  * elf: patch everything instead of a subset of elf files (#2081)
  * elf: clear the current runpath before setting the rpath (#2085)
  * python plugin: properly handle distutils on bionic
  * ci: add the python integration tests on bionic for travis
  * many: remove support for remote lxd per project containers (#2089)
  * schema: allow refresh-mode and stop-mode (#2092)
  * packaging: include changelog for setup.py's version detection (#2097)
  * ci: enable OSX testing on travis (#2084)
  * tests: use a common cache for the integration tests
  * tests: remove the SharedCache fixture and uses of it
  * many: allow building in containers with no version in project (#2104)
  * errors: remove logic for SNAPCRAFT_SEND_ERROR_DATA
  * errors: implement the always option to sent to sentry
  * package: make use of snapcraftctl snapcraft features (#2103)
  * nodejs plugin: lazy load the required tarballs (#2106)
  * build_providers: new build provider using multipass (#2100)
  * tests: use FakeSnapd for grammar tests
  * tests: adapt the integration suite to work for all releases
  * New upstream release (LP: #1767016)

  [ Kyle Fazzari ]
  * project_loader: support architectures for CI (#2080)
  * meta: soften warning about using passthrough (#2091)
  * storeapi: better handle network errors and retries (#2094)
  * grammar: support compound on..to statement (#2088)
  * tests: fix arch-specific integration tests

  [ Christian Dywan ]
  * python: bring back support for older versions of pip (#2055)
  * tests: don't use os_release and repo from snapcraft (#2096)
  * lxd: wait for on-going refreshes to finish (#2098)
  * ci: setup AppVeyor (#2087)
  * repo: catch error updating the package cache (#2079)
  * tests: do not shadow deb_arch in architecture scenarios
  * tests: parser tests need the cache
  * tests: don't hard-code expected arch in VersionScriptTestCase

  [ Rakesh Singh ]
  * dotnet plugin: add dotnet command to path for step overriding (#1909)

  [ Michael Vogt ]
  * lifecycle: skip -all-root for base snaps (#2090)

  [ Matias Bordese ]
  * tests: update metadata store integration test, no previous push 
    required (#2086)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Thu, 26 Apr 2018 01:58:29 +0000

snapcraft (2.41) xenial; urgency=medium

  [ Sergio Schvezov ]
  * package: ensure all relevant files are in for sdist (#2060)
  * errors: enable sending tracebacks to sentry (#1961)
  * errors: improve the UX for sending error data (#2024)
  * errors: remove stack data when sending to sentry (#2036)
  * errors: feature flag error reports (#2066)
  * packaging: simplify snapcraft.yaml (#2062)
  * many: update the yaml loading logic (#2065)
  * extractors: support for setup.py (#2070)
  * lifecycle: handle missing version correctly (#2072)
  * python plugin: do not invoke wheel install if empty (#2077)
  * patches: improve ctypes patch for python 3.5
  * ci: enable subset of integration tests on bionic
  * errors: skip the sentry test if raven is no installed (#2075)
  * New upstream release (LP: #1763934)

  [ Kyle Fazzari ]
  * many: add snapcraftctl command for scriptlets (#2002)
  * kernel plugin: add kmod as build-package (#2041)
  * cli: support exporting login to stdout (#2043)
  * many: add override-pull scriptlet (#2045)
  * pluginhandler: organize in build instead of stage (#2047)
  * tests: extract sources suite from general suite (#2054)
  * many: add override-stage scriptlet (#2049)
  * tests: extract lifecycle suite from general suite (#2057)
  * many: add override-prime scriptlet (#2052)
  * elf: use snapped strip (#2051)
  * storeapi: properly handle lacking permission for channel (#2050)
  * many: add snapcraftctl set-version (#2063)
  * storeapi: handle 500 error response when releasing snap (#2059)
  * states: track override scriptlets (#2068)
  * many: add snapcraftctl set-grade (#2067)
  * meta: validate extracted and scriptlet metadata (#2073)

  [ Christian Dywan ]
  * options: introduce Project and ProjectInfo (#1995)
  * lxd: friendly error with suggestions if network is broken (#1930)
  * lxd: merge existing image info contents when using containerbuilds (#1997)
  * lxd: specify arch in lxc image list command (#2046)
  * meta: implement passthrough of properties to snap.yaml (#2053)

  [ Guilhem Lettron ]
  * nodejs plugin: add option for setting npm flags (#2038)

  [ Bjorn Tillenius ]
  * python plugin: install python-distutils when run on bionic (#2058)

  [ Rakesh Singh ]
  * dotnet plugin: add support enable configurable runtime version for
    .NET Core applications (#1911)

  [ Colin Watson ]
  * storeapi: fix formatting of some store errors (#2056)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Sat, 14 Apr 2018 12:13:35 +0000

## snapcraft 2.42+17.10

=== debian/changelog ===
snapcraft (2.42+17.10) artful; urgency=medium

  [ Sergio Schvezov ]
  * elf: patch everything instead of a subset of elf files (#2081)
  * elf: clear the current runpath before setting the rpath (#2085)
  * python plugin: properly handle distutils on bionic
  * ci: add the python integration tests on bionic for travis
  * many: remove support for remote lxd per project containers (#2089)
  * schema: allow refresh-mode and stop-mode (#2092)
  * packaging: include changelog for setup.py's version detection (#2097)
  * ci: enable OSX testing on travis (#2084)
  * tests: use a common cache for the integration tests
  * tests: remove the SharedCache fixture and uses of it
  * many: allow building in containers with no version in project (#2104)
  * errors: remove logic for SNAPCRAFT_SEND_ERROR_DATA
  * errors: implement the always option to sent to sentry
  * package: make use of snapcraftctl snapcraft features (#2103)
  * nodejs plugin: lazy load the required tarballs (#2106)
  * build_providers: new build provider using multipass (#2100)
  * tests: use FakeSnapd for grammar tests
  * tests: adapt the integration suite to work for all releases
  * New upstream release (LP: #1767016)

  [ Kyle Fazzari ]
  * project_loader: support architectures for CI (#2080)
  * meta: soften warning about using passthrough (#2091)
  * storeapi: better handle network errors and retries (#2094)
  * grammar: support compound on..to statement (#2088)
  * tests: fix arch-specific integration tests

  [ Christian Dywan ]
  * python: bring back support for older versions of pip (#2055)
  * tests: don't use os_release and repo from snapcraft (#2096)
  * lxd: wait for on-going refreshes to finish (#2098)
  * ci: setup AppVeyor (#2087)
  * repo: catch error updating the package cache (#2079)
  * tests: do not shadow deb_arch in architecture scenarios
  * tests: parser tests need the cache
  * tests: don't hard-code expected arch in VersionScriptTestCase

  [ Rakesh Singh ]
  * dotnet plugin: add dotnet command to path for step overriding (#1909)

  [ Michael Vogt ]
  * lifecycle: skip -all-root for base snaps (#2090)

  [ Matias Bordese ]
  * tests: update metadata store integration test, no previous push 
    required (#2086)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Thu, 26 Apr 2018 01:58:29 +0000

=== debian/control ===
--- 
+++ 
@@ -56,7 +56,6 @@
          python3-apt,
          python3-debian,
          python3-click,
-         python3-distutils,
          python3-jsonschema,
          python3-lxml,
          python3-petname,

## snapcraft 2.43+18.10.1

=== debian/changelog ===
snapcraft (2.43+18.10.1) cosmic; urgency=medium

  * Test fixes

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Wed, 22 Aug 2018 01:16:32 +0000

snapcraft (2.43+18.10) cosmic; urgency=medium

  [ Sergio Schvezov ]
  * recording: expose the version of snapcraft (#2147)
  * tests: add a fixture for OsRelease to simplify test setup
  * recording: add the os-release ID and VERSION_ID to manifest.yaml
  * nodejs plugin: update to the latest 6.x LTS point release (#2157)
  * snap: use apt from the archive instead of compiling (#2156)
  * build_providers: support for communicating with a qemu VM (#2155)
  * many: refactor snapcraft.yaml loading out of load_config (#2160)
  * tests: update codespell, the scope of checks and ordering of static
           tests (#2162)
  * rust plugin: fix cargo builds and run tests (#2170)
  * build_providers: add ssh key managemet to the qemu build provider (#2168)
  * ci: disable osx tests until a new pyyaml is released
  * build_providers: inject snaps when running from a snap (#2174)
  * code: use black as the standard style (#2180)
  * cli: reserve the --debug option for snapcraft projects (#2185)
  * state: allow parametrization of the global state file (#2186)
  * errors: enable sentry by default (#2187)
  * file_utils: get_tool_path to always return an absolute path (#2193)
  * errors: support keyboard interrupts (#2198)
  * build_providers: add a build image setup facility (#2192)
  * build providers: better injection logic (#2196)
  * Revert "ci: disable osx tests until a new pyyaml is released" (#2213)
  * providers: multipass by default on darwin (#2215)
  * New upstream release (LP: #1787419)

  [ Kyle Fazzari ]
  * lifecycle: automatically stage dependencies (#2144)
  * lifecycle: automatically clean dirty steps (#2145)
  * travis: use LXD from 3.0 track (#2149)
  * project_loader: process parts in consistent order (#2146)
  * project_loader: allow loading null parts (#2153)
  * tests: disable sentry (#2154)
  * lifecycle: don't clean priming area if the snap is being tried (#2143)
  * many: extract lifecycle ordering into own module (#2159)
  * many: automatically redo step for specified part (#2152)
  * tests: add lifecycle ordering tests (#2163)
  * many: automatically detect dependency changes (#2165)
  * project_loader: replace dict keys as well as values (#2166)
  * {catkin,python} plugin: support cleaning (#2171)
  * many: add shellcheck to static tests (#2172)
  * lifecycle: detect local source changes (#2167)
  * lifecycle: pass commands to containerbuild, not steps (#2178)
  * cli: SNAPCRAFT_BUILD_ENVIRONMENT isn't deprecated (#2179)
  * pluginhandler: use uname from the host (#2177)
  * store: properly handle disabled deltas (#2181)
  * tests: create basic integration test spread infrastructure (#2173)
  * tests: add spread suite for autotools plugin (#2182)
  * tests: add spread suite for cmake plugin (#2183)
  * spread: stop testing 17.10 (#2197)
  * tests: add spread suite for copy plugin (#2199)
  * tests: add spread suite for nil plugin (#2201)
  * tests: add spread suite for kbuild plugin (#2203)
  * kbuild plugin: stop modifying kconfigfile (#2204)
  * tests: support running spread suite in autopkgtests (#2188)
  * tests: add spread suite for meson plugin (#2205)
  * tests: add spread suite for godeps plugin (#2200)
  * tests: add spread suite for scons plugin (#2208)
  * tests: add spread suite for catkin plugin (#2206)
  * tests: add spread suite for waf plugin (#2210)
  * cli: add inspect subcommand (#2184)
  * tests: add spread suite for tar-content plugin (#2209)
  * tests: add spread suite for ament plugin (#2211)
  * tests: add spread suite for ruby plugin (#2212)
  * project_loader: add basic template support (#2189)
  * spread tests: vendor gotty
  * spread tests: vendor kbuild-template
  * spread tests: vendor hello
  * sentry: support disabling error reporting (#2214)

  [ Daniel Llewellyn ]
  * jhbuild plugin: allow running as 'root' (#2141)

  [ Emmanuel Leblond ]
  * python plugin: add process-dependency-links to the pull_properties (#2190)
  * ci: improve pr template and tools' ignored files list (#2191)

  [ Celso Providelo ]
  * tests: stricter match when running snapcraft revisions (#2195)

  [ Michael Vogt ]
  * go plugin: do not install go debs if go snap is used (#2194)

  [ Jesse Sung ]
  * kbuild plugin: read configs from source directory instead (#2202)

  [ Paolo Pisati ]
  * kernel plugin: install .config as config-$kernelversion (#2207)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Thu, 16 Aug 2018 14:12:55 +0000

snapcraft (2.42.1) xenial; urgency=medium

  [ Sergio Schvezov ]
  * repo: rollback to using dpkg-deb for deb extraction (#2111)
  * pluginhandler: correctly dedent the run script (#2117)
  * many: dedup environment entries (#2120)
  * packaging: load the correct libraries on armhf (#2126)
  * delta: properly search for in-snap xdelta3 (#2127)
  * package: disable user site-packages for snapcraft (#2131)
  * tests: remove obsolete env var (#2130)
  * errors: generic exception for common.run[_output] (#2132)
  * tests: add subprocess to lifecycle tests
  * ci: resurrect codecov (#2138)
  * ci: remove unused cron tests (#2139)
  * tests: generalize the plainbox-provider tests
  * New upstream release (LP: #1771915)

  [ Kyle Fazzari ]
  * HACKING: suggest snapcraft-pr for evaluating PRs (#2108)
  * repo: fix all python shebangs in stage-packages (#2112)
  * sources: don't clean target for FileBase sources (#2113)
  * meta: stop creating empty snap directory in prime (#2114)
  * snapcraft.yaml: update apt repo location (#2124)
  * file_utils: don't let FileNotFoundError escape (#2123)
  * storeapi: ensure snap ID is sane before using it (#2115)
  * pluginhandler: collide with directories and symlinks (#1064)
  * storeapi: handle 5xx error codes for all store endpoints (#2116)
  * many: introduce variables for part src and build (#2122)
